Questão Como ajustar a variável de ambiente PKG_CONFIG_PATH durante a execução de ./configure


Eu estou correndo para esta mensagem de erro ao tentar instalar a partir de um tarball

configure: error: Package requirements (gtk+-2.0 >= 2.16.0) were not met:

No package 'gtk+-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

O comando a seguir me fornece a localização do GTK

$ whereis gtk-2.0

gtk-2: /etc/gtk-2.0 /usr/lib64/gtk-2.0

Minha pergunta é como ajustar o PKG_CONFIG_PATH, muitos dos tutoriais online não faziam muito sentido para mim. Estou correndo centos 6.4

obrigado


3


origem




Respostas:


$> env PKG_CONFIG_PATH=... ./configure

preencher ... com o que você precisa / quer.

mas ... a mensagem de erro No package gtk+-2.0 found indica que você está faltando as ligações c + + para gtk2. whereis gtk-2.0 mostra apenas que você tem o gtk2 instalado.


3



Obrigado pela sua ajuda akira, outra coisa é o pacote que eu preciso ter ligações c ++, e estou assumindo o caminho ..... / configure seria /usr/lib64/gtk-2.0 ?? - mygnu
MyGNU, você achou que biblioteca é necessária para ligações de c ++? - a coder